### Constructor

# FwupdPlugin Archive new

#### Declaration [src]

    FuArchive*
    fu_archive_new (
      GBytes* data,
      FuArchiveFlags flags,
      GError** error
    )

#### Description [src]

Parses `data` as an archive and decompresses all files to memory blobs.

If `data` is unspecified then a new empty archive is created.

Available since: | 1.2.2

#### Parameters

`data` | `GBytes`
| Archive contents.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`flags` | `FuArchiveFlags`
| Archive flags, e.g. `FU_ARCHIVE_FLAG_NONE`.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `FuArchive`
| A `FuArchive`, or `NULL` if the archive was invalid in any way.
| The caller of the function takes ownership of the data, and is responsible for freeing it.